function v=initializeDecisionsUniform(n,a)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns vector of initial agents decisions, selected at random   %
% uniform                                                          %
%                                                                  %
% Input: n := number of agents; a := number of alternatives        %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 18th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

D=zeros(n,1);

i=1;
for i=1:n
    D(i,1)=ceil(rand(1)*(a));
    i=i+1;
end


v=D;