function v=getDegree(A)

%Requires m-Files: NONE
%Returns Degree Frequency Distribution y (percentiles) of A (per rows)
%Gero.Schwenk@web.de 31.05.2006

n=length(A(1,:));           %Lenhgth of Counting Vector
d=zeros(n,2);               %Storage Vector n*2

p = 100*(0:0.25:1);          %Percentile-preset-vector
k=1;                        %index

for k=1:n                   %Count Degree of nodes and write into column 2, column 1 counts nodes
    d(k,1)=k;
    d(k,2)=sum(A(k,:));
    k=k+1;
end

                            %CHOOSE VISUALIZATION

[f,x]=ksdensity(d(:,2));    %kernel smoothing density estimation of degree distribution
plot(x,f);                  %plot kernel desity estimator
%boxplot(d(:,2));            %plot boxplot of degree distribution
%res=[1:1:70];               %resolution of histogram
%hist(d(:,2),res);           %histogram of degree distribution

y=prctile(d(:,2),p);        %compute percentiles
v=[p;y];                    %return percentiles (together with presets)

md=mean(d(:,2))
sd=std(d(:,2))

%v=d;