function v=randomClasses(n,p1,p2,p3,p4)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                  %
% Returns vector randomly assigend classes, according to class     %
% probabilities;                                                   %
%                                                                  %
% Input: n := nuber of agents; p1-p4: := probabilities of classes  %
% ordered, must sum to 1                                           %
%                                                                  %
% Author: Gero Schwenk (Gero.Schwenk@web.de), July 25th 2006       %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Type=zeros(n,1);

i=1;
for i=1:n
    r=rand(1);
    if r<=p1
        Type(i,1)=1;
    elseif (r>p1)&(r<=p1+p2)
        Type(i,1)=2;
    elseif (r>p1+p2)&(r<=p1+p2+p3)
        Type(i,1)=3;
    elseif (r>p1+p2+p3)&(r<=1)
        Type(i,1)=4;
    end
    i=i+1;
end

v=Type;